/*
 * FILE:   UGError.m
 * AUTHOR: Alvaro Saurin <saurin@dcs.gla.ac.uk>
 *
 * Copyright (c) 2005 University of Glasgow
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, is permitted provided that the following conditions
 * are met:
 * 
 * 1. Redistributions of source code must retain the above copyright
 *    notice, this list of conditions and the following disclaimer.
 * 
 * 2. Redistributions in binary form must reproduce the above copyright
 *    notice, this list of conditions and the following disclaimer in the
 *    documentation and/or other materials provided with the distribution.
 * 
 * THIS SOFTWARE IS PROVIDED BY THE AUTHORS AND CONTRIBUTORS
 * "AS IS" AND ANY EXPRESSED OR IMPLIED WARRANTIES, INCLUDING,
 * BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY
 * AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
 * EVENT SHALL THE AUTHORS OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT,
 * INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES
 * (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR
 * SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
 * HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
 * CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
 * OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE,
 * EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 *
 * $Revision: 1.1 $
 * $Date: 2005/06/14 15:38:02 $
 *
 */

#include "config.h"
#include "debug.h"

#import <Cocoa/Cocoa.h>

#import "ui/cocoa/UGError.h"

@implementation UGError

- (NSAttributedString *)text 
{
	return ugText;
}

- (void)setText:(NSString*)arg
{
	if (ugText != arg) {
		[ugText release];
		ugText = [arg copy];
	}
}

- (void)addText:(NSString*)arg
{
	NSRange endRange;

	endRange.location = [[ugLog textStorage] length];
	endRange.length   = 0;

	[ugLog replaceCharactersInRange:endRange withString:arg];
	endRange.length = [arg length];
	[ugLog scrollRangeToVisible:endRange];
}

- (IBAction)showAsError:(id)sender
{
	UNUSED(sender);
	
	[ugPanel makeKeyAndOrderFront:self];
}

- (IBAction)hide:(id)sender
{
	UNUSED(sender);

	[ugPanel performClose:self];
}


@end
