/*
 * FILE:   UGRunEnv.h
 * AUTHOR: Alvaro Saurin <saurin@dcs.gla.ac.uk>
 *
 * Copyright (c) 2005 University of Glasgow
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, is permitted provided that the following conditions
 * are met:
 * 
 * 1. Redistributions of source code must retain the above copyright
 *    notice, this list of conditions and the following disclaimer.
 * 
 * 2. Redistributions in binary form must reproduce the above copyright
 *    notice, this list of conditions and the following disclaimer in the
 *    documentation and/or other materials provided with the distribution.
 * 
 * THIS SOFTWARE IS PROVIDED BY THE AUTHORS AND CONTRIBUTORS
 * "AS IS" AND ANY EXPRESSED OR IMPLIED WARRANTIES, INCLUDING,
 * BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY
 * AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
 * EVENT SHALL THE AUTHORS OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT,
 * INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES
 * (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR
 * SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
 * HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
 * CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
 * OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE,
 * EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 *
 * $Revision: 1.1 $
 * $Date: 2005/06/08 12:07:46 $
 *
 */

struct run_env;

@interface UGRunEnv : NSController {
	struct run_env		*env;
	
	NSMutableDictionary	*captureDevices;
	NSMutableDictionary	*displayDevices;
	NSMutableDictionary	*videoCodecs;		
}

- (NSString*)CaptureDevice;
- (void)setCaptureDevice:(NSString*)arg;
- (NSString*)CaptureDeviceArg;
- (void)setCaptureDeviceArg:(NSString*)arg;
- (NSString*)CaptureDeviceDesc;
- (void)setCaptureDeviceDesc:(NSString*)arg;
- (unsigned int)CaptureDeviceXSize;
- (void)setCaptureDeviceXSize:(unsigned int)x;
- (unsigned int)CaptureDeviceYSize;
- (void)setCaptureDeviceYSize:(unsigned int)y;
- (BOOL)CaptureDeviceNeedsFilename;

- (NSString*)DisplayDevice;
- (void)setDisplayDevice:(NSString*)arg;
- (NSString*)DisplayDeviceArg;
- (void)setDisplayDeviceArg:(NSString*)arg;
- (NSString*)DisplayDeviceDesc;
- (void)setDisplayDeviceDesc:(NSString*)arg;
- (unsigned int)FPS;
- (void)setFPS:(unsigned int)f;
- (NSString*)HostName;
- (void)setHostName:(NSString*)arg;
- (unsigned int)MTU;
- (void)setMTU:(unsigned int)mtu;
- (unsigned int)RXPort;
- (void)setRXPort:(unsigned int)port;
- (unsigned int)TXPort;
- (void)TXPort:(unsigned int)port;
- (NSString*)VideoCodec;
- (void)setVideoCodec:(NSString*)arg;
- (NSString*)VideoCodecDesc;
- (void)setVideoCodecDesc:(NSString*)arg;

- (unsigned int)countOfCaptureDevices;
- (NSString*)objectInCaptureDevicesAtIndex:(unsigned int)index;
- (const char*)getCaptureDeviceNameByDesc:(NSString*)desc;

- (unsigned int)countOfDisplayDevices;
- (NSString*)objectInDisplayDevicesAtIndex:(unsigned int)index;
- (const char*)getDisplayDeviceNameByDesc:(NSString*)desc;

- (unsigned int)countOfVideoCodecs;
- (NSString*)objectInVideoCodecsAtIndex:(unsigned int)index;
- (const char*)getVideoCodecNameByDesc:(NSString*)desc;


- (struct run_env*)getRunEnv;

@end
