/*
 * FILE:   ui/ui_sdl.c
 * AUTHOR: Alvaro Saurin <saurin@dcs.gla.ac.uk>
 *
 * Copyright (c) 2005 University of Glasgow
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, is permitted provided that the following conditions
 * are met:
 * 
 * 1. Redistributions of source code must retain the above copyright
 *    notice, this list of conditions and the following disclaimer.
 * 
 * 2. Redistributions in binary form must reproduce the above copyright
 *    notice, this list of conditions and the following disclaimer in the
 *    documentation and/or other materials provided with the distribution.
 * 
 * THIS SOFTWARE IS PROVIDED BY THE AUTHORS AND CONTRIBUTORS
 * "AS IS" AND ANY EXPRESSED OR IMPLIED WARRANTIES, INCLUDING,
 * BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY
 * AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
 * EVENT SHALL THE AUTHORS OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT,
 * INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES
 * (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR
 * SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
 * HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
 * CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
 * OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE,
 * EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 *
 * $Revision: 1.2 $
 * $Date: 2005/04/25 08:38:28 $
 *
 */

#include "config.h"
#include "config_unix.h"
#include "debug.h"
#include "ui/ui_sdl.h"

#ifdef HAVE_LIBSDL

/*
 * Probes the compatibility with the display given
 */ 
int
ui_sdl_probe(char* display)
{
        /* SDL only accepts SDL as display device... */ 
        if( strcmp(display, "sdl") == 0)
                return 1;

        if( strcmp(display, "none") == 0)
                return 1;
                
        return 0;
}

/*
 * Initialization of the UI
 */ 
int
ui_sdl_init(int argc, char *argv[])
{
        UNUSED(argc);
        UNUSED(argv);
        /* nothing to do */
        return 0;
}

/*
 * Stop signal.
 */ 
void ui_sdl_done(void) {
        /* nothing to do */
}

#endif /* HAVE_LIBSDL */

