/*
 * FILE:   video_codec/jpeg.c
 * AUTHOR: Colin Perkins <csp@csperkins.org>
 *
 * Copyright (c) 2005 University of Glasgow
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, is permitted provided that the following conditions
 * are met:
 * 
 * 1. Redistributions of source code must retain the above copyright
 *    notice, this list of conditions and the following disclaimer.
 * 
 * 2. Redistributions in binary form must reproduce the above copyright
 *    notice, this list of conditions and the following disclaimer in the
 *    documentation and/or other materials provided with the distribution.
 * 
 * THIS SOFTWARE IS PROVIDED BY THE AUTHORS AND CONTRIBUTORS
 * ``AS IS'' AND ANY EXPRESSED OR IMPLIED WARRANTIES, INCLUDING,
 * BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY
 * AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
 * EVENT SHALL THE AUTHORS OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT,
 * INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES
 * (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR
 * SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
 * HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
 * CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
 * OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE,
 * EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 *
 * $Revision: 1.1 $
 * $Date: 2005/06/05 23:06:53 $
 *
 */

#include "config.h"
#include "config_unix.h"
#include "debug.h"
#include "video_types.h"
#include "video_display.h"
#include "video_capture.h"	/* Needed by video_codec.h      */
#include "rtp/rtp.h"		/* Needed by rtp/pbuf.h         */
#include "rtp/pbuf.h"		/* Needed for struct coded_data */
#include "video_codec.h"
#include "video_codec/jpeg.h"

int
jpeg_codec_init(void)
{
	return 0;
}

void
jpeg_codec_exit(void)
{
}

const char *
jpeg_codec_get_name(void)
{
	return "jpeg";
}

const char *
jpeg_codec_get_desc(void)
{
	return "Motion JPEG";
}

int
jpeg_codec_can_encode(void)
{
	return FALSE;
}

int
jpeg_codec_can_decode(void)
{
	return FALSE;
}

void *
jpeg_encoder_create(unsigned id, unsigned mtu)
{
	UNUSED(id);
	UNUSED(mtu);
	return NULL;
}

void
jpeg_encoder_destroy(void *state)
{
	UNUSED(state);
}

unsigned int
jpeg_encoder_get_framelen(void)
{
	return 0;
}

int
jpeg_encode(void                 *state, 
            struct video_frame   *in, 
            struct encoded_frame *out,
            vcodec_enc_opt_t      opt)
{
	UNUSED(state);
	UNUSED(in);
	UNUSED(out);
	UNUSED(opt);
	return 0;
}

struct encoded_data *
jpeg_encode_get(struct encoded_frame* frame, int pos)
{
	UNUSED(frame);
	UNUSED(pos);
	return NULL;
}

video_colour_mode_t
jpeg_decoder_get_cm(void)
{
	return NONE;
}

display_size_t
jpeg_decoder_get_size(void)
{
	return DS_NONE;
}

unsigned int
jpeg_decoder_get_framelen(void)
{
	return 0;
}

void *
jpeg_decoder_create (unsigned id)
{
	UNUSED(id);
	return NULL;
}

void
jpeg_decoder_destroy(void *state)
{
	UNUSED(state);
}

int
jpeg_decode(void *state, struct coded_data *in, struct video_frame *out)
{
	UNUSED(state);
	UNUSED(in);
	UNUSED(out);
	return 0;
}

int
jpeg_decode_raw(void *state, struct video_frame *in, struct video_frame *out)
{
	UNUSED(state);
	UNUSED(in);
	UNUSED(out);
	return 0;
}

int
jpeg_decode_partial(void *state, struct coded_data *in, struct video_frame *out)
{
	UNUSED(state);
	UNUSED(in);
	UNUSED(out);
	return 0;
}

