/*
 * FILE:   video_codec/uv_yuv422_8.h
 * AUTHOR: Colin Perkins <csp@csperkins.org>
 *
 * Copyright (c) 2004-2005 University of Glasgow
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, is permitted provided that the following conditions
 * are met:
 * 
 * 1. Redistributions of source code must retain the above copyright
 *    notice, this list of conditions and the following disclaimer.
 * 
 * 2. Redistributions in binary form must reproduce the above copyright
 *    notice, this list of conditions and the following disclaimer in the
 *    documentation and/or other materials provided with the distribution.
 * 
 * THIS SOFTWARE IS PROVIDED BY THE AUTHORS AND CONTRIBUTORS
 * ``AS IS'' AND ANY EXPRESSED OR IMPLIED WARRANTIES, INCLUDING,
 * BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY
 * AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
 * EVENT SHALL THE AUTHORS OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT,
 * INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES
 * (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR
 * SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
 * HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
 * CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
 * OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE,
 * EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 *
 * $Revision: 1.17 $
 * $Date: 2005/05/24 13:03:25 $
 *
 */

#ifndef _UV_YUV_422_8_H
#define _UV_YUV_422_8_H

#define VCODEC_YUV422_8_ID	0x04a6bdb8

int                  uv_yuv422_8_init		(void);
void                 uv_yuv422_8_exit		(void);
const char *         uv_yuv422_8_get_name	(void);
const char *         uv_yuv422_8_get_desc	(void);
int                  uv_yuv422_8_can_encode	(void);
int                  uv_yuv422_8_can_decode	(void);
void                *uv_yuv422_8_encoder_create	(unsigned id, unsigned mtu);
void                 uv_yuv422_8_encoder_destroy(void *state);
unsigned int         uv_yuv422_8_encoder_get_framelen	(void);
int                  uv_yuv422_8_encode		(void *state, 
						 struct video_frame *in,
						 struct encoded_frame *out,
						 vcodec_enc_opt_t opt);
struct encoded_data *uv_yuv422_8_encode_get	(struct encoded_frame* frame,
						 int pos);

video_colour_mode_t  uv_yuv422_8_decoder_get_cm		(void);
display_size_t       uv_yuv422_8_decoder_get_size	(void);
unsigned int         uv_yuv422_8_decoder_get_framelen	(void);
void                *uv_yuv422_8_decoder_create		(unsigned id);
void                 uv_yuv422_8_decoder_destroy	(void *state);
int                  uv_yuv422_8_decode			(void *state, 
							 struct coded_data *in,
							 struct video_frame *out);
int                  uv_yuv422_8_decode_raw		(void *state, 
							 struct video_frame *in,
							 struct video_frame *out);
int                  uv_yuv422_8_decode_partial		(void *state, 
							 struct coded_data *in,
							 struct video_frame *out);

#endif /* _UV_VUY_422_8_H */
